Package org.apache.felix.gogo.runtime.threadio

# Class Marker

java.lang.Object
org.apache.felix.gogo.runtime.threadio.Marker

public class Marker extends Object

## Constructor Summary

Constructors
Constructor
Description
`Marker(InputStream in, PrintStream out, PrintStream err, Marker previous)`

## Method Summary

Modifier and Type
Method
Description
`PrintStream`
`getErr()`
`InputStream`
`getIn()`
`PrintStream`
`getOut()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Marker

public Marker(InputStream in, PrintStream out, PrintStream err, Marker previous)

## Method Details

### getIn

public InputStream getIn()

### getOut

public PrintStream getOut()

### getErr

public PrintStream getErr()